Technical FAQs

Ask a Question

Which phones are supported by Masterpact MTZ app ?

Android version above or equal to 4.4 iOS version 9.0 and above.
Was this helpful?
What can we do to improve the information ?